curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/workspaces/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"fqn": "<string>",
"tenantName": "<string>",
"clusterId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "workspace",
"cluster_fqn": "<string>",
"name": "<string>",
"environment_name": "<string>",
"labels": {},
"annotations": {},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"ownedBy": {
"account": "<string>"
}
},
"accountId": "<string>",
"environmentId": "<string>",
"isSystemWs": true,
"createdBy": "<string>"
}
}Retrieves a single workspace by its ID.
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/workspaces/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"fqn": "<string>",
"tenantName": "<string>",
"clusterId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "workspace",
"cluster_fqn": "<string>",
"name": "<string>",
"environment_name": "<string>",
"labels": {},
"annotations": {},
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"permissions": [
{
"resource_fqn": "<string>",
"resource_type": "<string>",
"role_id": "<string>"
}
],
"ownedBy": {
"account": "<string>"
}
},
"accountId": "<string>",
"environmentId": "<string>",
"isSystemWs": true,
"createdBy": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique identifier of the workspace.
The workspace with the given ID, including cluster information.
The workspace object with full details including cluster info.
Show child attributes
Was this page helpful?